% MATLAB code of eigenvalue excluding method of Orr-Sommerfeld equation 
% with Poiseuille flow. 
%   [verified version]
%
 format long;
 intvalinit('displayinfsup');
 intvalinit('sharpivmult')  % use sharp interval matrix multiplication

% --------- declaring parameters ------------------------------------------- %
   N = 500
%   mu = intval('-100') + i*intval('1552.59')
%   mu = intval('-200') + i*intval('1552.59')
   mu = intval('-500') + i*intval('1552.59')

   a = intval('1.019') % wave number
   R = intval('5776')    % Raynolds number
   L = 2*(N-1)  % dimension of the approximate subspace
   Pi = 4*atan(intval('1'));  

  [A1,A2,A3,A4] = Generate_Matrices(a,R,N,L);
  [ch,Y,E] = verchol(A1);  % interval Cholesky decomposition of A1
  [ch,Z,E] = verchol(A4);  % interval Cholesky decomposition of A4

   G = A1 + i*A2 - mu*A3;

   tic;
   m =  Exclude01(a,R,N,L,G,Y,Z,mu);
   toc




